<?xml version="1.0"?>
<!DOCTYPE ejb-jar PUBLIC "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 1.2//EN" "http://java.sun.com/j2ee/dtds/ejb-jar_1_2.dtd">

<ejb-jar>
	<description>
	</description>
	<enterprise-beans>
		<entity>
			<description>
			</description>
			<ejb-name>MyProduct</ejb-name>
			<home>ProductHome</home>
			<remote>Product</remote>
			<ejb-class>ProductEJB</ejb-class>
			<primkey-class>java.lang.Integer</primkey-class>
			<reentrant>True</reentrant>
			<persistence-type>Container</persistence-type>
			<cmp-field><field-name>id</field-name></cmp-field>
			<cmp-field><field-name>name</field-name></cmp-field>
			<cmp-field><field-name>description</field-name></cmp-field>
			<cmp-field><field-name>price</field-name></cmp-field>
			<primkey-field>id</primkey-field>
		</entity>
	</enterprise-beans>
	<assembly-descriptor>
		<container-transaction>
			<method>
				<ejb-name>Product</ejb-name>
				<method-name>*</method-name>
			</method>
			<trans-attribute>NotSupported</trans-attribute>
		</container-transaction>
	</assembly-descriptor>
</ejb-jar>
